Bug 815678 - Review Request: php-channel-phpqatools - Adds phpqatools channel to PEAR
Review Request: php-channel-phpqatools - Adds phpqatools channel to PEAR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 04:56 EDT by Christof Damian
Modified: 2012-05-30 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 20:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
review.txt (6.26 KB, text/plain)
2012-05-21 10:11 EDT, Remi Collet
no flags Details

  None (edit)
Description Christof Damian 2012-04-24 04:56:07 EDT
Spec URL: http://rpms.damian.net/SPECS/php-channel-phpqatools.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-channel-phpqatools-1.3-1.fc16.src.rpm
Description: This package adds the phpqatools channel which allows PEAR packages from this channel to be installed.
Comment 1 Remi Collet 2012-05-18 13:37:02 EDT
Why LGPLv2 ?
Package in the channel seems BSD...

This license for php-channel-* is always a issue... I have ask on fedora legal. Probably "Public Domain" will be a good solution.

I'm waiting for a legal answer.

FYI, AFAIK, current command (rm, install, ...) doesn't required  macro anymore (which make the spec more legible)
Comment 2 Christof Damian 2012-05-19 03:22:14 EDT
I remember asking one maintainer once about the channel.xml file license and he agreed to have it the same as his pear packages. I can ask Sebastian too.
The last time it took a couple of emails to explain why this might be necessary :-)
Comment 3 Christof Damian 2012-05-20 13:13:08 EDT
I have been in contact with Sebastian Bergmann and he agreed to put the channel.xml file in Public Domain.

Updated files:
Spec URL: http://rpms.damian.net/SPECS/php-channel-phpqatools.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-channel-phpqatools-1.3-2.fc16.src.rpm
Comment 5 Remi Collet 2012-05-21 10:11:26 EDT
Created attachment 585820 [details]
review.txt

Report by fedora-review-0.1.3
Comment 6 Remi Collet 2012-05-21 10:14:28 EDT
Koji scratch build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=4091420

Should : remove php-cli dependency (this package don't call php, but only pear, which requires already php-cli)

About: %clean, %buildroot, %defattr... you can keep this if you target EPEL-5


*** APPROVED ***
Comment 7 Christof Damian 2012-05-21 13:57:00 EDT
(In reply to comment #6)
> Should : remove php-cli dependency (this package don't call php, but only
> pear, which requires already php-cli)
> 
> *** APPROVED ***

Thanks. I will fix the SHOULD on import. 

New Package SCM Request
=======================
Package Name: php-channel-phpqatools
Short Description: Adds phpqatools channel to PEAR
Owners: cdamian
Branches: f16 f17 el6
InitialCC:
Comment 8 Gwyn Ciesla 2012-05-21 14:05:20 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-05-21 14:59:35 EDT
php-channel-phpqatools-1.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-channel-phpqatools-1.3-3.fc17
Comment 10 Fedora Update System 2012-05-22 11:53:09 EDT
php-channel-phpqatools-1.3-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-05-30 20:53:07 EDT
php-channel-phpqatools-1.3-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.